Subject: [Qirg] open source Quantum Internet simulator (and talk)

From: Rodney Van Meter <[email-masked]>
Date: Mon, 2 Mar 2020 16:57:11 +0900

<chair hat off; announcement as individual>

The American Physical Society's March Meeting, the biggest gathering
of physicists on the planet, was due to meet in Denver this week.
Literally an hour before I was to leave the house, the meeting was
cancelled due to concerns over the corona virus.  (*MANY* people --
thousands? -- were already in Denver, with the announcement made just
12 hours before tutorials were due to start; others were literally in
airports as word went out via mail and Twitter.)

I was due to give a talk on the Quantum Internet.  Well, rather than
waste all that prep, I proposed that we do a virtual conference.
Today I recorded and uploaded my talk, titled "RuleSet-based Operation
of the Quantum Internet":
https://www.youtube.com/watch?v=70S_otGqryY
(Given that the target audience was entirely physicists, and I assumed
mostly people with some interest in quantum  repeaters, there is not a
lot of background material!  References for more introductory stuff
available on request.)

Besides the technical content (best reference: Takaaki Matsuo’s
master’s thesis, https://arxiv.org/abs/1908.10758), the big
announcement is:

We will be releasing our #QuantumInternet simulator as open source!
Expected release date is week of March 16-20, in time for people to
join us at the #ietf107 Hackathon to work on it.

For a look at the simulator in action, scroll forward in the YouTube
talk to 14:00-15:25, and then again to 21:30-22:05 to see it at full
scale.

If you are a networking researcher, you might recognize that the tool
builds on OMNeT++.

We are building as much documentation as we can for the simulator,
intending for it to be easy for Internet-savvy folks as well as
physics-savvy folks to contribute.  More details will be available
within the next couple of weeks.

We believe this will be the best tool available for large-scale
Quantum Internet work.  It has a lot of features that will be familiar
to networking researchers.  It does *not* do the low-level physics
simulation at the Hamiltonian (quantum mechanical physical effect)
level.  That would not scale at all to the levels at which we aspire
to operate.  Instead, it operates in the *error basis*: states are
tracked for whether they are "perfect" or "imperfect", and *how*
errors propagate from one place to another, rather than tracking every
detail of the state.

More details soon, but we hope that you'll join us in working on QuISP
at the IETF107 Hackathon, whether that happens physically in Vancouver
or virtually via the Internet!

<chair hat back in its usual place (wherever that is)>

--Rod

Rodney Van Meter
Professor, Faculty of Environment and Information Studies
Keio University, Japan
[email-masked]